summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-02-04 00:29:27 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-02-04 00:29:27 (GMT)
commit4fa88c97679fcf7bbdb321cc8624b27618086bf9 (patch)
tree69036bd2a22d6b2c821fb04ac105a91a3f6b0bf7 /abs
parent530f1eaf7a75a7e4b288912ec2c6a20e922df105 (diff)
parentaa0ea5cd7fe791bede46a25719584b44302b93be (diff)
downloadlinhes_pkgbuild-4fa88c97679fcf7bbdb321cc8624b27618086bf9.zip
linhes_pkgbuild-4fa88c97679fcf7bbdb321cc8624b27618086bf9.tar.gz
linhes_pkgbuild-4fa88c97679fcf7bbdb321cc8624b27618086bf9.tar.bz2
Merge branch 'HEAD' of ssh://jams@knoppmyth.net/mount/repository/LinHES-PKGBUILD
Diffstat (limited to 'abs')
-rw-r--r--abs/core-testing/curl/ChangeLog45
-rw-r--r--abs/core-testing/curl/PKGBUILD32
-rw-r--r--abs/core-testing/mythtv/trunk/morethemes/PKGBUILD14
-rwxr-xr-xabs/core-testing/mythtv/trunk/mp_all.sh2
-rw-r--r--abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythgame/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythnetvision/PKGBUILD4
-rw-r--r--abs/core-testing/mythtv/trunk/mythnews/PKGBUILD2
-rwxr-xr-xabs/core-testing/mythtv/trunk/myththemes/PKGBUILD2
-rwxr-xr-xabs/core-testing/mythtv/trunk/mythtv/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythweather/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythweb/PKGBUILD2
-rw-r--r--abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD2
-rw-r--r--abs/core-testing/python-pycurl/PKGBUILD20
-rw-r--r--abs/extra-testing/community/flashplugin/PKGBUILD41
20 files changed, 127 insertions, 57 deletions
diff --git a/abs/core-testing/curl/ChangeLog b/abs/core-testing/curl/ChangeLog
index a508322..02635bf 100644
--- a/abs/core-testing/curl/ChangeLog
+++ b/abs/core-testing/curl/ChangeLog
@@ -1,3 +1,48 @@
+2009-11-04 Eric Belanger <eric@archlinux.org>
+
+ * curl 7.19.7-1
+ * Upstream update
+
+2009-10-03 Robson Peixoto <robsonpeixoto@gmail.com>
+
+ * curl 7.19.6-2
+ * Compile with ca-path like Debian and Gentoo
+
+2009-08-12 Eric Belanger <eric@archlinux.org>
+
+ * curl 7.19.6-1
+ * Upstream update
+
+2009-05-18 Eric Belanger <eric@archlinux.org>
+
+ * curl 7.19.5-1
+ * Upstream update
+
+2009-03-03 Eric Belanger <eric@archlinux.org>
+
+ * curl 7.19.4-1
+ * Upstream update
+
+2009-01-21 Eric Belanger <eric@archlinux.org>
+
+ * curl 7.19.3-1
+ * Upstream update
+
+2008-11-14 Eric Belanger <eric@archlinux.org>
+
+ * curl 7.19.2-1
+ * Upstream update
+
+2008-11-08 Eric Belanger <eric@archlinux.org>
+
+ * curl 7.19.1-1
+ * Upstream update
+
+2008-09-20 Eric Belanger <eric@archlinux.org>
+
+ * curl 7.19.0-1
+ * Upstream update
+
2008-06-04 Eric Belanger <eric@archlinux.org>
* curl 7.18.2-1
diff --git a/abs/core-testing/curl/PKGBUILD b/abs/core-testing/curl/PKGBUILD
index cfac1fe..bee1fcb 100644
--- a/abs/core-testing/curl/PKGBUILD
+++ b/abs/core-testing/curl/PKGBUILD
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD 2514 2008-06-05 23:10:19Z eric $
+# $Id: PKGBUILD 58157 2009-11-05 05:13:33Z eric $
# Maintainer: Eric Belanger <eric@archlinux.org>
# Contributor: Lucien Immink <l.immink@student.fnt.hvu.nl>
pkgname=curl
-pkgver=7.18.2
+pkgver=7.19.7
pkgrel=1
pkgdesc="An URL retrival utility and library"
arch=('i686' 'x86_64')
@@ -12,14 +12,28 @@ license=('MIT')
depends=('zlib' 'openssl>=0.9.8b' 'bash' 'ca-certificates')
options=('!libtool')
source=(http://curl.haxx.se/download/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('c389be5b0525276e58865956b7465562')
-sha1sums=('0a4d6878d6be22bb2d701a6cf9bf665f66fc8b87')
+md5sums=('79a8fbb2eed5464b97bdf94bee109380')
+sha1sums=('c306ebf0f65fb90df3c9c9a12fb04fb77cc29e2c')
build() {
- cd ${startdir}/src/${pkgname}-${pkgver}
- ./configure --prefix=/usr --without-libidn --disable-ldap \
- --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt || return 1
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ # Thanks Debian and Gentoo =)
+ ./configure \
+ --with-random=/dev/urandom \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --disable-dependency-tracking \
+ --enable-ipv6 \
+ --disable-ldaps \
+ --disable-ldap \
+ --enable-manual \
+ --enable-versioned-symbols \
+ --with-ca-path=/etc/ssl/certs \
+ --without-libidn || return 1
+
make || return 1
- make DESTDIR=${startdir}/pkg install || return 1
- install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+ install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING" || return 1
+ install -D -m644 docs/libcurl/libcurl.m4 "${pkgdir}/usr/share/aclocal/libcurl.m4" || return 1
}
diff --git a/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD b/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
index c8886e1..086ff2d 100644
--- a/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=morethemes-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Additional themes for MythTV"
url="http://www.mythtv.org"
@@ -40,11 +40,15 @@ build() {
make distclean
# configure
- ./configure --prefix=/usr || return 1
+# ./configure --prefix=/usr || return 1
+ ./configure --prefix=/usr
# build and install
. /etc/profile
- make || return 1
- make INSTALL_ROOT=$startdir/pkg install || return 1
-
+# make || return 1
+# make INSTALL_ROOT=$startdir/pkg install || return 1
+ make
+ make INSTALL_ROOT=$startdir/pkg install
+ return 0
+#### THIS PKGBUILD IS HACKED TO BUILD WITH ZERO CONTENT RIGHT NOW ####
}
diff --git a/abs/core-testing/mythtv/trunk/mp_all.sh b/abs/core-testing/mythtv/trunk/mp_all.sh
index 7aaad82..fd84f2a 100755
--- a/abs/core-testing/mythtv/trunk/mp_all.sh
+++ b/abs/core-testing/mythtv/trunk/mp_all.sh
@@ -1,5 +1,5 @@
#!/bin/sh
-pkgver=23403
+pkgver=23457
pkgrel=1
# NOTE: Make sure to build and install mythtv first BEFORE building anything else
diff --git a/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD b/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
index a4578d3..a5c4467 100644
--- a/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mytharchive-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="MythTV plugin that lets you create DVDs from or archive your recorded shows."
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD b/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
index 0420e4d..7c7e285 100644
--- a/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythbrowser-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Mini web browser for MythTV"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD b/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
index e109cf1..9948b4b 100644
--- a/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythgallery-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Image gallery plugin for MythTV"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD b/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
index 912b744..7989b0e 100644
--- a/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythgame-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Emulation plugin for MythTV"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD b/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
index 41268c0..110ff9e 100644
--- a/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythmovies-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Displays information about movies playing in the area."
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD b/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
index 919b71d..da15bc9 100644
--- a/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythmusic-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Music playing plugin for MythTV"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythnetvision/PKGBUILD b/abs/core-testing/mythtv/trunk/mythnetvision/PKGBUILD
index 5edf593..604efe9 100644
--- a/abs/core-testing/mythtv/trunk/mythnetvision/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythnetvision/PKGBUILD
@@ -1,12 +1,12 @@
pkgname=mythnetvision-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Internet video plugin for MythTV"
url="http://www.mythtv.org"
license="GPL"
arch=('i686' 'x86_64')
-depends=('mythtv-svn')
+depends=('mythtv-svn' 'python-pycurl' 'flashplugin')
conflicts=('mythnetvision')
groups=('mythtv-extras-svn')
diff --git a/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD b/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
index fdbf578..c997d5f 100644
--- a/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythnews-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="News checking plugin for MythTV"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD b/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
index 3c6edcd..bafe46c 100755
--- a/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=myththemes-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Themes for MythTV"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD b/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
index 297d653..e1eb641 100755
--- a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythtv-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="A personal video recorder for Linux"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD b/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
index 32606bb..7d9e978 100644
--- a/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythvideo-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Video playback and browsing plugin for MythTV"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD b/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
index 68f01c6..aaba047 100644
--- a/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythweather-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Weather checking plugin for MythTV"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD b/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
index 1505621..5900e43 100644
--- a/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythweb-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Web interface for MythTV's backend"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD b/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
index e1a71cf..20feced 100644
--- a/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mythzoneminder-svn
-pkgver=23403
+pkgver=23457
pkgrel=1
pkgdesc="Integrates ZoneMinder into MythTV"
url="http://www.mythtv.org"
diff --git a/abs/core-testing/python-pycurl/PKGBUILD b/abs/core-testing/python-pycurl/PKGBUILD
new file mode 100644
index 0000000..3d17877
--- /dev/null
+++ b/abs/core-testing/python-pycurl/PKGBUILD
@@ -0,0 +1,20 @@
+# $Id: PKGBUILD 82 2009-07-17 19:56:55Z aaron $
+# Maintainer: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: kontrast <kontr4st@gmail.com>
+pkgname=python-pycurl
+pkgver=7.19.0
+pkgrel=3
+pkgdesc="A Python interface to libcurl"
+arch=('i686' 'x86_64')
+url="http://pycurl.sourceforge.net"
+license=('GPL')
+depends=('python' 'curl>=7.19.0')
+replaces=('pycurl')
+provides=('pycurl')
+source=(http://pycurl.sourceforge.net/download/pycurl-$pkgver.tar.gz)
+md5sums=('919d58fe37e69fe87ce4534d8b6a1c7b')
+
+build() {
+ cd $srcdir/pycurl-$pkgver
+ python setup.py install --curl-config=/usr/bin/curl-config --prefix $pkgdir/usr || return 1
+}
diff --git a/abs/extra-testing/community/flashplugin/PKGBUILD b/abs/extra-testing/community/flashplugin/PKGBUILD
index 1e68f40..4a04ee0 100644
--- a/abs/extra-testing/community/flashplugin/PKGBUILD
+++ b/abs/extra-testing/community/flashplugin/PKGBUILD
@@ -1,40 +1,27 @@
-# $Id: PKGBUILD 21951 2008-12-18 13:25:19Z thomas $
+# $Id: PKGBUILD 60911 2009-12-09 11:51:09Z andrea $
+# Contributor: Andrea Scarpino <andrea@archlinux.org>
pkgname=flashplugin
-_licensefile='Reader_Player_WWEULA-Combined-20060724_1430.pdf'
-if [ "${CARCH}" = 'i686' ]; then
- pkgver=10.0.15.3
- pkgrel=1
- source=('http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.tar.gz'
- "http://www.adobe.com/products/eulas/pdfs/${_licensefile}")
- md5sums=('afab0b40b0ae11445e2e90a4a9224a8a'
- '844cea6c9afc13d9e27f28ce1a6e20f3')
-elif [ "${CARCH}" = 'x86_64' ]; then
- pkgver=10.0.d21.1
- pkgrel=1
- source=("http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-${pkgver}.linux-x86_64.so.tar.gz"
- "http://www.adobe.com/products/eulas/pdfs/${_licensefile}")
- md5sums=('c165af9d4e324bfaf6d1cfbdbe959fbb'
- '844cea6c9afc13d9e27f28ce1a6e20f3')
-else
- error Unknown architecture.
- exit 1
-fi
+_licensefile='Reader_Player_AIR_WWEULA-Combined-20080204_1313.pdf'
+pkgver=10.0.42.34
+pkgrel=1
pkgdesc='Adobe Flash Player'
-url='http://www.adobe.com/go/getflash'
+url='http://get.adobe.com/flashplayer'
arch=('i686' 'x86_64')
depends=('mozilla-common' 'libxt' 'gtk2' 'nss' 'curl')
replaces=('flashplugin-beta')
provides=('flashplayer')
license=('custom')
+source=('http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.tar.gz'
+ "http://www.adobe.com/products/eulas/pdfs/${_licensefile}")
+md5sums=('aa694c7392d4519e4ef7812fd2922730'
+ '1636037610ee2aa35c5fb736a697b7e0')
+[ "${CARCH}" = "x86_64" ] && source[0]="http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-${pkgver}.linux-${CARCH}.so.tar.gz"
+[ "${CARCH}" = "x86_64" ] && md5sums[0]='8b427c2991c0447af56a951c653ee383'
build() {
install -d -m755 ${pkgdir}/usr/lib/mozilla/plugins/ || return 1
- if [ "${CARCH}" = 'i686' ]; then
- install -m755 ${srcdir}/install_flash_player_10_linux/libflashplayer.so ${pkgdir}/usr/lib/mozilla/plugins/ || return 1
- elif [ "${CARCH}" = 'x86_64' ]; then
- install -m755 ${srcdir}/libflashplayer.so ${pkgdir}/usr/lib/mozilla/plugins/ || return 1
- fi
+ install -m755 ${srcdir}/libflashplayer.so ${pkgdir}/usr/lib/mozilla/plugins/ || return 1
install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
- install -m644 "${_licensefile}" ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+ install -m644 "${_licensefile}" ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.pdf || return 1
}